﻿using Syncfusion.SfChart.XForms;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Input;
using Xamarin.Forms;

namespace SimpleSample
{
    public class ViewModel : BindableObject
    {
        public ObservableCollection<Point> LineData1 { get; set; }   

        public ViewModel()
        {
           
            LineData1 = new ObservableCollection<Point>
                {
                    new Point("Point1", 500000000234.56),
                    new Point("Point2", 750000000234.75),
                    new Point("Point3", 300000000234.70),
                    new Point("Point4", 360000000234.53),
                    new Point("Point5", 100000000234),
                    new Point("Point6", 500000000234),
                    new Point("Point7", 650000000234),
                    new Point("Point8", 900000000234)
                };
        }
    }

    public class Point
    {
        public String XValue { get; set; }
        public double YValue { get; set; }
      
        public Point(string value1, double value2)
        {
            XValue = value1;
            YValue = value2;            
        }
    }
}
